Package com.ocient.jdbc.proto

## Interface PlanProtocol.EquivalentPartitioningOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.EquivalentPartitioning`, `PlanProtocol.EquivalentPartitioning.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.EquivalentPartitioningOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getIndex​(int index)` the column indexes in this partitioning
`int` `getIndexCount()` the column indexes in this partitioning
`List<Integer>` `getIndexList()` the column indexes in this partitioning

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getIndexList

    List<Integer> getIndexList()

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Returns:
  A list containing the index.

#### getIndexCount

    int getIndexCount()

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Returns:
  The count of index.

#### getIndex

    int getIndex​(int index)

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The index at the given index.